Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Inherited Constants | Fields | Ctors | Methods | Inherited Methods | [Expand All]
public final class

# Tile

extends Object
implements Parcelable

java.lang.Object
↳ | com.google.android.gms.maps.model.Tile

## Class Overview

Contains information about a Tile that is returned by a `TileProvider`.

## Summary

[Expand] Inherited Constants

From interface android.os.Parcelable

int | CONTENTS_FILE_DESCRIPTOR |
int | PARCELABLE_WRITE_RETURN_VALUE |

Fields
public static final TileCreator | CREATOR |
public final byte[] | data | A byte array containing the image data.
public final int | height | The width of the image encoded by `data` in pixels.
public final int | width | The width of the image encoded by `data` in pixels.

Public Constructors
| Tile(int width, int height, byte[] data) Constructs a `Tile`.

Public Methods
int | describeContents()
void | writeToParcel(Parcel out, int flags)

[Expand] Inherited Methods

From class java.lang.Object

Object | clone()
boolean | equals(Object arg0)
void | finalize()
final Class<?> | getClass()
int | hashCode()
final void | notify()
final void | notifyAll()
String | toString()
final void | wait()
final void | wait(long arg0, int arg1)
final void | wait(long arg0)

From interface android.os.Parcelable

abstract int | describeContents()
abstract void | writeToParcel(Parcel arg0, int arg1)

## Fields

#### public static final TileCreator CREATOR

#### public final byte[] data

A byte array containing the image data. The image will be created from this data by calling `decodeByteArray(byte[], int, int)`.

#### public final int height

The width of the image encoded by `data` in pixels.

#### public final int width

The width of the image encoded by `data` in pixels.

## Public Constructors

#### public Tile (int width, int height, byte[] data)

Constructs a `Tile`.

##### Parameters

width | the width of the image in pixels
height | the height of the image in pixels
data | A byte array containing the image data. The image will be created from this data by calling `decodeByteArray(byte[], int, int)`.

## Public Methods

#### public int describeContents ()

#### public void writeToParcel (Parcel out, int flags)